GestureDetectorCompat not working? Wrong import?

0 Volkyro Neme · February 26, 2015
First of all: I am new to android programming and after 1 1/2 days I want to ask you for help.

I uploaded the screenshots, hopefully you can find anything that helps or the mistake(s).


/images/forum/upload/2015-02-26/f96b274ebf031f41617e4a9c55f7b8a9.PNG

Error Message when I hover over the red underlined line:



Incompatible types.





Required: android.view.GestureDetector

Found: android.support.v4.view.GestureDetectorCompat





I already looked for mistakes, but I can't find any. Whats wrong?





If you need more Screenshots tell me.

Thanks.


//Edit: Problem solved.
I had 
"private GestureDetector gestureDetector;", 
but it has so be 
"private GestureDetectorCompat gestureDetector;"

Post a Reply

Replies

Oldest  Newest  Rating
0 life soul · May 27, 2015
Thank you for sharing solution 
  • 1

Java / Android Development

107,182 followers
About

Very popular language used to create desktop applications, website applets, and Android apps.

Links
Moderators
Bucky Roberts Administrator